package org.example.wedding_app_backend.weddingConfirmationGroup.dto;


import lombok.*;
import org.example.wedding_app_backend.weddingGuest.dto.GetWeddingGuestInformation;
import org.example.wedding_app_backend.weddingGuest.dto.GetWeddingGuestWithGroupInformation;

import java.util.List;
import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
public class GetWeddingConfirmationGroupWithGuestsInside {

    @Getter
    @Setter
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor(access = AccessLevel.PRIVATE)
    @ToString
    @EqualsAndHashCode
    public static class WeddingGuestInformation {

        private UUID id;

        private Boolean presenceConfirmed;

        private String guestName;

        private String guestAge;
    }

    private UUID id;

    private String name;

    private List<WeddingGuestInformation> guestList;

}
