package org.example.wedding_app_backend.weddingConfirmationGroup.repository;

import org.example.wedding_app_backend.weddingConfirmationGroup.entity.WeddingConfirmationGroupEntity;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Repository
public interface WeddingConfirmationGroupRepository
        extends JpaRepository<WeddingConfirmationGroupEntity, UUID> {

    Optional<WeddingConfirmationGroupEntity> findById(UUID id);

    Optional<List<WeddingConfirmationGroupEntity>> findAllByWeddingId(UUID weddingId);
}
